%define oname	LibRaw

Summary: Library for reading RAW files obtained from digital photo cameras
Name: LibRaw
Version: 0.17.2
Release: %mkrel 1
License: LGPLv2
Group: System/Libraries
URL: http://www.libraw.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source0: http://www.libraw.org/data/%{name}-%{version}.tar.xz
Source1: http://www.libraw.org/data/%{oname}-demosaic-pack-GPL2-%{version}.tar.xz
Source2: http://www.libraw.org/data/%{oname}-demosaic-pack-GPL3-%{version}.tar.xz

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

LibRaw is based on the source codes of the dcraw utility, where part of
drawbacks have already been eliminated and part will be fixed in future.

%package devel
Provides: LibRaw-static = %{version}-%{release}
Summary: LibRaw development libraries
Group: Development/Libraries

%description devel
LibRaw development libraries

This package contains static libraries that applications can use to build
against LibRaw. LibRaw does not provide dynamic libraries.

%prep
%setup -qn %{oname}-%{version} -b 1 -b 2

%build
%configure2_5x --disable-openmp --disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std 
cp -pr doc manual


# The source tree has these with execute permissions for some reason
chmod 644 LICENSE.CDDL LICENSE.LGPL LICENSE.LibRaw.pdf


mkdir -p %{buildroot}%{_includedir}/pkgconfig
cp %{buildroot}%{_libdir}/pkgconfig/*.pc \
%{buildroot}%{_includedir}/pkgconfig

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/4channels
%{_bindir}/postprocessing_benchmark
%{_bindir}/multirender_test
%{_bindir}/dcraw_emu
%{_bindir}/dcraw_half
%{_bindir}/half_mt
%{_bindir}/mem_image
%{_bindir}/raw-identify
%{_bindir}/simple_dcraw
%{_bindir}/unprocessed_raw
%{_libdir}/libraw_r.so.*
%{_libdir}/libraw.so.*
%{_datadir}/doc/libraw

%files devel
%defattr(-,root,root,-)
%doc LICENSE.CDDL LICENSE.LibRaw.pdf LICENSE.LGPL COPYRIGHT Changelog.txt 
%doc manual
%dir %{_includedir}/libraw
%{_includedir}/libraw/*.h
%{_libdir}/pkgconfig/libraw.pc
%{_libdir}/pkgconfig/libraw_r.pc
%{_includedir}/pkgconfig/*.pc
%{_libdir}/libraw.so
%{_libdir}/libraw_r.so



%changelog
* Tue May 24 2016 bb <bb> 0.17.2-1pclos2016
- update

* Thu Feb 06 2014 bb <bb> 0.16.0-1pclos2014
- update

* Mon Nov 11 2013 bb <bb> 0.15.4-1pclos2013
- update


